
ALTER TABLE Chapter10.COMPANYINFO DROP FOREIGN KEY C4301773;

ALTER TABLE Chapter10.COMPANYINFO DROP FOREIGN KEY C2523080;

ALTER TABLE Chapter10.INDUSTRYNEWS DROP FOREIGN KEY C4513041;

ALTER TABLE Chapter10.STOCKHISTORY DROP FOREIGN KEY C5339940;

DROP TABLE Chapter10.COMPANYINFO;

DROP TABLE Chapter10.INDUSTRYTABLE;

DROP TABLE Chapter10.INDUSTRYNEWS;

DROP TABLE Chapter10.STOCK;

DROP TABLE Chapter10.STOCKHISTORY;

CREATE TABLE Chapter10.COMPANYINFO (LASTQUARTERESTIMATE VARCHAR(50) NOT NULL, SYMBOL VARCHAR(5) NOT NULL, COMPANYNAME VARCHAR(30) NOT NULL, COMPANYINDUSTRY VARCHAR(20) NOT NULL,COMPANYDESC VARCHAR(100));
ALTER TABLE Chapter10.COMPANYINFO ADD CONSTRAINT C2350207 PRIMARY KEY (SYMBOL);

CREATE TABLE Chapter10.INDUSTRYTABLE(INDUSTRY VARCHAR(20) NOT NULL, DESCRIPTION VARCHAR(200));
ALTER TABLE Chapter10.INDUSTRYTABLE ADD CONSTRAINT C4231890 PRIMARY KEY (INDUSTRY);

CREATE TABLE Chapter10.INDUSTRYNEWS(INDUSTRY VARCHAR(20) NOT NULL, ITEMDATE DATE NOT NULL, ITEMNUMBER INTEGER NOT NULL, NEWSLINK VARCHAR(150) NOT NULL,HEADLINE VARCHAR(100) NOT NULL);
ALTER TABLE Chapter10.INDUSTRYNEWS ADD CONSTRAINT C2810261 PRIMARY KEY (INDUSTRY, ITEMNUMBER);

CREATE TABLE Chapter10.STOCK (SYMBOL VARCHAR(5) NOT NULL, CURRENTPRICE DOUBLE NOT NULL, CURRENTDAYVOLUME BIGINT NOT NULL, OPENPRICE DOUBLE NOT NULL, DAYHIGHPRICE DOUBLE NOT NULL,DAYLOWPRICE DOUBLE NOT NULL);

ALTER TABLE Chapter10.STOCK ADD CONSTRAINT C1340310 PRIMARY KEY (SYMBOL);

CREATE TABLE Chapter10.STOCKHISTORY (DATE DATE NOT NULL, DAYVOLUME BIGINT NOT NULL, OPENPRICE DOUBLE NOT NULL, CLOSEPRICE DOUBLE NOT NULL,   DAYHIGHPRICE DOUBLE NOT NULL,DAYLOWPRICE DOUBLE NOT NULL,SYMBOL VARCHAR(5) NOT NULL);

ALTER TABLE Chapter10.STOCKHISTORY ADD CONSTRAINT C4740443 PRIMARY KEY (DATE, SYMBOL);

ALTER TABLE Chapter10.COMPANYINFO ADD CONSTRAINT C4301773 FOREIGN KEY (COMPANYINDUSTRY) REFERENCES Chapter10.INDUSTRYTABLE(INDUSTRY) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE Chapter10.COMPANYINFO ADD CONSTRAINT C2523080 FOREIGN KEY (SYMBOL) REFERENCES Chapter10.STOCK(SYMBOL) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE Chapter10.INDUSTRYNEWS ADD CONSTRAINT C4513041 FOREIGN KEY (INDUSTRY) REFERENCES Chapter10.INDUSTRYTABLE(INDUSTRY) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE Chapter10.STOCKHISTORY ADD CONSTRAINT C5339940 FOREIGN KEY (SYMBOL)  REFERENCES Chapter10.STOCK(SYMBOL) ON DELETE NO ACTION ON UPDATE NO ACTION;

DROP TABLE Chapter10.PROFILE;

CREATE TABLE Chapter10.PROFILE
  (USERID VARCHAR(251) NOT NULL,
   FULLNAME VARCHAR(251),
   EMAIL VARCHAR(251),
   CREDITCARD VARCHAR(251));

ALTER TABLE Chapter10.PROFILE
  ADD CONSTRAINT SQL020814112502150 PRIMARY KEY (USERID);

DROP TABLE Chapter10.ACCOUNT;

CREATE TABLE Chapter10.ACCOUNT
  (USERID VARCHAR(251),
   BALANCE DOUBLE,
   TRANSACTIONS INTEGER,
   ACCOUNTID VARCHAR(128) NOT NULL);

ALTER TABLE Chapter10.ACCOUNT
  ADD CONSTRAINT SQL020814112501160 PRIMARY KEY (ACCOUNTID);

ALTER TABLE Chapter10.ACCOUNT
  ADD CONSTRAINT C3232963 FOREIGN KEY (USERID)
  REFERENCES Chapter10.PROFILE(USERID);

DROP TABLE Chapter10.SYMBOL;  
  
CREATE TABLE Chapter10.SYMBOL
  (SYMBOL VARCHAR(251) NOT NULL,
   DETAILS VARCHAR(251),
   ACTIVE VARCHAR(3));
   
ALTER TABLE Chapter10.SYMBOL
  ADD CONSTRAINT SYMBOLKEY PRIMARY KEY (SYMBOL);

DROP TABLE Chapter10.HOLDINGS;

CREATE TABLE Chapter10.HOLDINGS
  (ACCOUNTID VARCHAR(128),
   SYMBOL VARCHAR(251),
   QUANTITY DOUBLE,
   INDX INTEGER NOT NULL,
   HOLDINGID VARCHAR(251) NOT NULL);

ALTER TABLE Chapter10.HOLDINGS
  ADD CONSTRAINT SQL020814112501670 PRIMARY KEY (INDX, HOLDINGID);

ALTER TABLE Chapter10.HOLDINGS
  ADD CONSTRAINT C3956140 FOREIGN KEY (ACCOUNTID)
  REFERENCES Chapter10.ACCOUNT(ACCOUNTID);
  

ALTER TABLE Chapter10.HOLDINGS
  ADD CONSTRAINT VALIDSYMBOL FOREIGN KEY (SYMBOL)
  REFERENCES Chapter10.SYMBOL(SYMBOL);
  
 
DROP TABLE Chapter10.TRANSACTIONHISTORY;

CREATE TABLE Chapter10.TRANSACTIONHISTORY
	(TRANSACTIONID VARCHAR(30) NOT NULL,
	 TRANSACTION VARCHAR(5),
	 ACCOUNTID VARCHAR(128),
	 SYMBOL VARCHAR(251),
	 PRICE DOUBLE,
	 QUANTITY DOUBLE,
   	 SUCCESS VARCHAR(10));
   	 
ALTER TABLE Chapter10.TRANSACTIONHISTORY
  ADD CONSTRAINT TRANKEY PRIMARY KEY (TRANSACTIONID);
  
ALTER TABLE Chapter10.TRANSACTIONHISTORY
  ADD CONSTRAINT ACCOUNTFK FOREIGN KEY (ACCOUNTID)
  REFERENCES Chapter10.ACCOUNT(ACCOUNTID);

ALTER TABLE Chapter10.TRANSACTIONHISTORY
  ADD CONSTRAINT SYMBOLFK FOREIGN KEY (SYMBOL)
  REFERENCES Chapter10.SYMBOL(SYMBOL);
  
DROP TABLE Chapter10.ADDRESS;

CREATE TABLE Chapter10.ADDRESS
  (ADDRESSID VARCHAR(20) NOT NULL,
   ADDRESSTYPE VARCHAR(10),
   USERID VARCHAR(251),
   ADDRESSLINE1 VARCHAR(251),
   ADDRESSLINE2 VARCHAR(251),
  CITY VARCHAR(251),
   STATE VARCHAR(251),
   COUNTRY VARCHAR(251),
   POSTALCODE VARCHAR(251));
   
ALTER TABLE Chapter10.ADDRESS
  ADD CONSTRAINT ADDRESSKEY PRIMARY KEY (ADDRESSID);
   
ALTER TABLE Chapter10.ADDRESS
  ADD CONSTRAINT ADDRESSTOUSER FOREIGN KEY (USERID)
  REFERENCES Chapter10.PROFILE(USERID);





