
ALTER TABLE CHAPTER12.COMPANYINFO DROP FOREIGN KEY C4301773;

ALTER TABLE CHAPTER12.COMPANYINFO DROP FOREIGN KEY C2523080;

ALTER TABLE CHAPTER12.INDUSTRYNEWS DROP FOREIGN KEY C4513041;

ALTER TABLE CHAPTER12.STOCKHISTORY DROP FOREIGN KEY C5339940;

DROP TABLE CHAPTER12.COMPANYINFO;

DROP TABLE CHAPTER12.INDUSTRYTABLE;

DROP TABLE CHAPTER12.INDUSTRYNEWS;

DROP TABLE CHAPTER12.STOCK;

DROP TABLE CHAPTER12.STOCKHISTORY;

DROP TABLE CHAPTER12EX.TRADEDATA

CREATE TABLE CHAPTER12.COMPANYINFO (LASTQUARTERESTIMATE VARCHAR(50) NOT NULL, SYMBOL VARCHAR(5) NOT NULL, COMPANYNAME VARCHAR(30) NOT NULL, COMPANYINDUSTRY VARCHAR(20) NOT NULL,COMPANYDESC VARCHAR(100));
ALTER TABLE CHAPTER12.COMPANYINFO ADD CONSTRAINT C2350207 PRIMARY KEY (SYMBOL);

CREATE TABLE CHAPTER12.INDUSTRYTABLE(INDUSTRY VARCHAR(20) NOT NULL, DESCRIPTION VARCHAR(200));
ALTER TABLE CHAPTER12.INDUSTRYTABLE ADD CONSTRAINT C4231890 PRIMARY KEY (INDUSTRY);

CREATE TABLE CHAPTER12.INDUSTRYNEWS(INDUSTRY VARCHAR(20) NOT NULL, ITEMDATE DATE NOT NULL, ITEMNUMBER INTEGER NOT NULL, NEWSLINK VARCHAR(150) NOT NULL,HEADLINE VARCHAR(100) NOT NULL);
ALTER TABLE CHAPTER12.INDUSTRYNEWS ADD CONSTRAINT C2810261 PRIMARY KEY (INDUSTRY, ITEMNUMBER);

CREATE TABLE CHAPTER12.STOCK (SYMBOL VARCHAR(5) NOT NULL, CURRENTPRICE DOUBLE NOT NULL, CURRENTDAYVOLUME BIGINT NOT NULL, OPENPRICE DOUBLE NOT NULL, DAYHIGHPRICE DOUBLE NOT NULL,DAYLOWPRICE DOUBLE NOT NULL);

ALTER TABLE CHAPTER12.STOCK ADD CONSTRAINT C1340310 PRIMARY KEY (SYMBOL);

CREATE TABLE CHAPTER12.STOCKHISTORY (DATE DATE NOT NULL, DAYVOLUME BIGINT NOT NULL, OPENPRICE DOUBLE NOT NULL, CLOSEPRICE DOUBLE NOT NULL,   DAYHIGHPRICE DOUBLE NOT NULL,DAYLOWPRICE DOUBLE NOT NULL,SYMBOL VARCHAR(5) NOT NULL);

ALTER TABLE CHAPTER12.STOCKHISTORY ADD CONSTRAINT C4740443 PRIMARY KEY (DATE, SYMBOL);

ALTER TABLE CHAPTER12.COMPANYINFO ADD CONSTRAINT C4301773 FOREIGN KEY (COMPANYINDUSTRY) REFERENCES CHAPTER12.INDUSTRYTABLE(INDUSTRY) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE CHAPTER12.COMPANYINFO ADD CONSTRAINT C2523080 FOREIGN KEY (SYMBOL) REFERENCES CHAPTER12.STOCK(SYMBOL) ON DELETE CASCADE ON UPDATE NO ACTION;

ALTER TABLE CHAPTER12.INDUSTRYNEWS ADD CONSTRAINT C4513041 FOREIGN KEY (INDUSTRY) REFERENCES CHAPTER12.INDUSTRYTABLE(INDUSTRY) ON DELETE NO ACTION ON UPDATE NO ACTION;

ALTER TABLE CHAPTER12.STOCKHISTORY ADD CONSTRAINT C5339940 FOREIGN KEY (SYMBOL)  REFERENCES CHAPTER12.STOCK(SYMBOL) ON DELETE NO ACTION ON UPDATE NO ACTION;

DROP TABLE CHAPTER12.PROFILE;

CREATE TABLE CHAPTER12.PROFILE
  (USERID VARCHAR(251) NOT NULL,
   FULLNAME VARCHAR(251),
   EMAIL VARCHAR(251),
   CREDITCARD VARCHAR(251));

ALTER TABLE CHAPTER12.PROFILE
  ADD CONSTRAINT SQL020814112502150 PRIMARY KEY (USERID);

DROP TABLE CHAPTER12.ACCOUNT;

CREATE TABLE CHAPTER12.ACCOUNT
  (USERID VARCHAR(251),
   BALANCE DOUBLE,
   TRANSACTIONS INTEGER,
   ACCOUNTID VARCHAR(128) NOT NULL);

ALTER TABLE CHAPTER12.ACCOUNT
  ADD CONSTRAINT SQL020814112501160 PRIMARY KEY (ACCOUNTID);

ALTER TABLE CHAPTER12.ACCOUNT
  ADD CONSTRAINT C3232963 FOREIGN KEY (USERID)
  REFERENCES CHAPTER12.PROFILE(USERID);

DROP TABLE CHAPTER12.SYMBOL;  
  
CREATE TABLE CHAPTER12.SYMBOL
  (SYMBOL VARCHAR(251) NOT NULL,
   DETAILS VARCHAR(251),
   ACTIVE VARCHAR(3));
   
ALTER TABLE CHAPTER12.SYMBOL
  ADD CONSTRAINT SYMBOLKEY PRIMARY KEY (SYMBOL);

DROP TABLE CHAPTER12.HOLDINGS;

CREATE TABLE CHAPTER12.HOLDINGS
  (ACCOUNTID VARCHAR(128),
   SYMBOL VARCHAR(251),
   QUANTITY DOUBLE,
   INDX INTEGER NOT NULL,
   HOLDINGID VARCHAR(251) NOT NULL);

ALTER TABLE CHAPTER12.HOLDINGS
  ADD CONSTRAINT SQL020814112501670 PRIMARY KEY (INDX, HOLDINGID);

ALTER TABLE CHAPTER12.HOLDINGS
  ADD CONSTRAINT C3956140 FOREIGN KEY (ACCOUNTID)
  REFERENCES CHAPTER12.ACCOUNT(ACCOUNTID);
  

ALTER TABLE CHAPTER12.HOLDINGS
  ADD CONSTRAINT VALIDSYMBOL FOREIGN KEY (SYMBOL)
  REFERENCES CHAPTER12.SYMBOL(SYMBOL);
  
 
DROP TABLE CHAPTER12.TRANSACTIONHISTORY;

CREATE TABLE CHAPTER12.TRANSACTIONHISTORY
	(TRANSACTIONID VARCHAR(30) NOT NULL,
	 TRANSACTION VARCHAR(5),
	 ACCOUNTID VARCHAR(128),
	 SYMBOL VARCHAR(251),
	 PRICE DOUBLE,
	 QUANTITY DOUBLE,
   	 SUCCESS VARCHAR(10));
   	 
ALTER TABLE CHAPTER12.TRANSACTIONHISTORY
  ADD CONSTRAINT TRANKEY PRIMARY KEY (TRANSACTIONID);
  
ALTER TABLE CHAPTER12.TRANSACTIONHISTORY
  ADD CONSTRAINT ACCOUNTFK FOREIGN KEY (ACCOUNTID)
  REFERENCES CHAPTER12.ACCOUNT(ACCOUNTID);

ALTER TABLE CHAPTER12.TRANSACTIONHISTORY
  ADD CONSTRAINT SYMBOLFK FOREIGN KEY (SYMBOL)
  REFERENCES CHAPTER12.SYMBOL(SYMBOL);
  
DROP TABLE CHAPTER12.ADDRESS;

CREATE TABLE CHAPTER12.ADDRESS
  (ADDRESSID VARCHAR(20) NOT NULL,
   ADDRESSTYPE VARCHAR(10),
   USERID VARCHAR(251),
   ADDRESSLINE1 VARCHAR(251),
   ADDRESSLINE2 VARCHAR(251),
  CITY VARCHAR(251),
   STATE VARCHAR(251),
   COUNTRY VARCHAR(251),
   POSTALCODE VARCHAR(251));
   
ALTER TABLE CHAPTER12.ADDRESS
  ADD CONSTRAINT ADDRESSKEY PRIMARY KEY (ADDRESSID);
   
ALTER TABLE CHAPTER12.ADDRESS
  ADD CONSTRAINT ADDRESSTOUSER FOREIGN KEY (USERID)
  REFERENCES CHAPTER12.PROFILE(USERID);


CREATE TABLE CHAPTER12EX.TRADEDATA
  (ACCOUNTID VARCHAR(250) NOT NULL,
   ACTION1 VARCHAR(250),
   SYMBOL VARCHAR(250),
   SHARES VARCHAR(250),
   ORDERID BIGINT NOT NULL);

ALTER TABLE CHAPTER12EX.TRADEDATA
  ADD CONSTRAINT PK_TRADEDATA PRIMARY KEY (ACCOUNTID, ORDERID);
